# Przykładowy program pokazujący użycie list

# etap 1: w pętli prosimy użytkownika o wpisywanie kolejnych słów
# i dodajemy te słowa do listy tak długo, aż użytkownik wpisze pusty napis
lista = []
while True:
    slowo = input('Podaj kolejne słowo: ')
    if not slowo: break
    lista.append(slowo)
    print(lista)

print('Zebrane dane:', lista)

# etap 2: w pętli użytkownik podaje numer pozycji, a program odczytuje element list
# z podanej pozycji lub informuje, że wyszliśmy poza zakres
# zróbmy tak, że sprawdzimy, czy użytkownik wpisal liczbę,
# a jeśli zamiast liczby wpisał 'koniec', to przerywamy program

while True:
    s = input('Podaj nr pozycji: ')
    if s.lower() == 'koniec':
        break
    try:
        i = int(s)
        print(f'Na pozycji {i} znajduje się {lista[i]}')
    except IndexError:
        print('Pozycja poza zakresem')
    except ValueError:
        print('Niepoprawna liczba')

print('Koniec programu')
